import React, { useEffect } from 'react';
import { Button } from 'primereact/button';
import { Card } from 'primereact/card';
import { Configuration } from '../services';

export const Login: React.FC = () => {
  // reset every old token
  useEffect(() => sessionStorage.removeItem('token'), []);

  const redirectToVatsim = () => {
    const url = [
      Configuration.vatsim.authorizeUrl,
      `?client_id=${Configuration.vatsim.clientId}`,
      `&redirect_uri=http://localhost:3000/auth/vatsim`,
      `&response_type=code`,
      `&scope=full_name+vatsim_details`,
      `&approval_prompt=auto`,
    ].join('');
    window.location.replace(url);
  }

  const footer = (
    <span>
      <Button
        label='Login with VATSIM'
        className='p-button'
        onClick={redirectToVatsim}
      />
    </span>
  );

  return (
    <>
      <div className='card min-h-screen'>
        <div className='flex flex-wrap align-items-center justify-content-center card-container min-h-screen'>
          <Card
            title='Arrival MANager'
            className='login-card text-center surface-200'
            style={{ width: '25rem' }}
            footer={footer}>
          </Card>
        </div>
      </div>
    </>
  );
};
